%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-camlp5-buildscripts
Version:        0.06
Release:        %mkrel 2
Summary:        Sysadmin scripts for camlp5 projects

Group:          Development/OCaml
License:        MIT
URL:            https://github.com/camlp5/camlp5-buildscripts
VCS:            git:%{url}.git
Source:         %{url}/archive/%{version}/camlp5-buildscripts-%{version}.tar.gz

BuildRequires:  asciidoc
BuildRequires:  make
BuildRequires:  not-ocamlfind >= 0.01
BuildRequires:  ocaml >= 4.10.0
BuildRequires:  ocaml-bos-devel >= 0.2.1
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-fmt-devel
BuildRequires:  ocaml-mdx-devel >= 2.2.1
BuildRequires:  ocaml-re-devel >= 1.10.4

%description
Sysadmin scripts written in OCaml (and Perl precursors), for use with
Camlp5 and Camlp5-based projects.  These scripts allow removing a
dependency on Perl for such projects.

%prep
%autosetup -n camlp5-buildscripts-%{version}

%conf
# Build native executables when possible
%ifarch %{ocaml_native_compiler}
sed -i 's/ocamlc/ocamlopt/' src/Makefile
%endif

# Generate debuginfo
sed -i 's/-linkpkg/-g &/' src/Makefile

%build
%make_build
asciidoc README.asciidoc

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{ocamldir}
mkdir -p $OCAMLFIND_DESTDIR
%make_install

# The META file is empty.  Let's put something interesting into it.
cat > %{buildroot}%{ocamldir}/camlp5-buildscripts/META << EOF
description = "Sysadmin scripts for camlp5 projects"
version = "%{version}"
requires = ""
EOF

%check
make test

%files
%doc CHANGES README.html
%license LICENSE
%{ocamldir}/



%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.06-2.mga10
+ Revision: 2193413
- enable i686 build

* Sat Jun 21 2025 daviddavid <daviddavid> 0.06-1.mga10
+ Revision: 2193343
- mageiaify
- imported package ocaml-camlp5-buildscripts


## START: Generated by rpmautospec
* Fri Mar 21 2025 Jerry James <loganjerry@gmail.com> - 0.06-1
- Version 0.06

* Mon Mar 10 2025 Jerry James <loganjerry@gmail.com> - 0.04-4
- Rebuild for ocaml-fmt 0.10.0

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 14 2025 Jerry James <loganjerry@gmail.com> - 0.04-2
- Move configuration steps to %%conf

* Fri Jan 10 2025 Jerry James <loganjerry@gmail.com> - 0.04-1
- OCaml 5.3.0 rebuild for Fedora 42
- Version 0.04

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 0.03-11
- Add VCS field

* Wed Jun 19 2024 Richard W.M. Jones <rjones@redhat.com> - 0.03-10
- OCaml 5.2.0 ppc64le fix

* Thu May 30 2024 Richard W.M. Jones <rjones@redhat.com> - 0.03-9
- OCaml 5.2.0 for Fedora 41

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Richard W.M. Jones <rjones@redhat.com> - 0.03-6
- OCaml 5.1.1 + s390x code gen fix for Fedora 40

* Tue Dec 12 2023 Richard W.M. Jones <rjones@redhat.com> - 0.03-5
- OCaml 5.1.1 rebuild for Fedora 40

* Thu Oct 05 2023 Richard W.M. Jones <rjones@redhat.com> - 0.03-4
- OCaml 5.1 rebuild for Fedora 40

* Thu Oct 05 2023 Jerry James <loganjerry@gmail.com> - 0.03-3
- Build documentation with asciidoc

* Tue Aug 15 2023 Jerry James <loganjerry@gmail.com> - 0.03-2
- Generate debuginfo

* Tue Aug 15 2023 Jerry James <loganjerry@gmail.com> - 0.03-1
- Initial RPM
## END: Generated by rpmautospec
